Destroy Dataload Buffer
delete
/applications/{applicationName}/databases/{databaseName}/asodataload/buffers
Destroys data load buffer with the specified ids.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Load buffers destroyed successfully.
400 Response
Bad Request
Failed to destroy load buffers.
500 Response
Internal Server Error.
Examples
The following example shows how to destroy an initialized aggregate-storage data-load buffer. This example uses cURL to call the REST API from a Windows shell script.
The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X DELETE "https://myserver.example.com:9001/essbase/rest/v1/applications/ASOSamp/databases/Basic/asodataload/buffers" -H Accept:application/json -H "Content-Type: application/json" -d '{"bufferIds": [100,200]}' -u %User%:%Password%